Name:           guake
Version:        0.4.1
Release:        3%{?dist}
Summary:        Drop-down terminal for GNOME

Group:          Applications/System
License:        GPLv2+
URL:            http://www.guake.org/
Source0:        http://guake.org/files/%{name}-%{version}.tar.gz
Source1:        fr.po

# Not used here -- official release --
#Source0:        %{name}-%{version}.20090321git.tar.gz
# Source generated from
# git clone git://repos.guake-terminal.org/guake
# cd guake
# ./autogen.sh
# cd ../
# tar zcvf guake-0.3.1.20090321git.tar.gz guake/
# ---------------------------------------------
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel gtk2-devel gettext desktop-file-utils perl(XML::Parser) GConf2-devel
BuildRequires:  pygtk2-devel >= 2.10 intltool vte
Requires:       pygtk2 >= 2.10 vte notify-python pygtk2-libglade gnome-python2-gconf dbus-python

Requires(pre):   GConf2
Requires(post):  GConf2
Requires(preun): GConf2

%description
Guake is a drop-down terminal for Gnome Desktop Environment,
so you just need to press a key to invoke him,
and press again to hide.

%prep
%setup -q 
#-n %{name}
cp %{SOURCE1} ./po/
# Enables to pass the configure without problem concerning python vte library
sed -i -e 's|if test -z "$ac_pvte_result"; then|if test -z "" ; then|g' configure

sed -i -e 's|ALL_LINGUAS="pt_BR ja es ru pl no de it fa hu el zh_CN"|ALL_LINGUAS="pt_BR ja es ru pl no de it fa hu el zh_CN fr"|' configure


%build
%configure --disable-schemas-install --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

desktop-file-install --vendor=""                           \
  --delete-original                                        \
  --dir=%{buildroot}%{_datadir}/applications               \
  %{buildroot}%{_datadir}/applications/%{name}.desktop


desktop-file-install --vendor=""                           \
  --delete-original                                        \
  --dir=%{buildroot}%{_datadir}/applications               \
  %{buildroot}%{_datadir}/applications/%{name}-prefs.desktop



%find_lang %{name}
rm -f %{buildroot}%{_libdir}/%{name}/globalhotkeys.la
 
%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%posttrans
killall -HUP gconfd-2 > /dev/null || : 


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_bindir}/%{name}-prefs
%{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-prefs.desktop
%{_datadir}/dbus-1/services/org.gnome.Guake.service
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}
%{_mandir}/man1/guake.1.gz
%{_sysconfdir}/xdg/autostart/%{name}.desktop

%changelog
* Sat May 08 2010 pingou <pingou@pingoured.fr> - 0.4.1-3
- Add the posttrans section

* Thu Feb 04 2010 pingou <pingou@pingoured.fr> - 0.4.1-2
- Rebuild to include French translations

* Tue Feb 02 2010 pingou <pingou@pingoured.fr> - 0.4.1-1
- Update to 0.4.1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 07 2009 pingou <pingou@pingoured.fr> - 0.4.0-1
- Update to version 0.4.0

* Sat Mar 21 2009 pingou <pingou@pingoured.fr> - 0.3.1-10.20090321git
- New version from git

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-9.20090210git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 10 2009 pingou <pingou@pingoured.fr> - 0.3.1-8.20090210git
- Correct setup -n

* Tue Feb 10 2009 pingou <pingou@pingoured.fr> - 0.3.1-7.20090210git
- Correct typo in the release number

* Tue Feb 10 2009 pingou <pingou@pingoured.fr> - 0.3.1-6.20090210git
- Add a .desktop file for the preferences (see: http://trac.guake-terminal.org/ticket/86 )
- New version from git
- Correct the tab

* Sun Nov 30 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3.1-5
- Rebuild for Python 2.6

* Wed Nov 26 2008 pingou <pingou@pingoured.fr> - 0.3.1-4
- Quick and dirty trick before upstream patch

* Thu Nov 20 2008 pingou <pingou@pingoured.fr> - 0.3.1-3
- Correct the Source0

* Mon Aug 25 2008 pingou <pingou@pingoured.fr> - 0.3.1-2
- Add pygtk2 >= 2.10 in the BR

* Mon Aug 25 2008 pingou <pingou@pingoured.fr> - 0.3.1-1
- New owner
- New upstream release 0.3.1

* Thu Jul 10 2008  <lokthare@gmail.com> - 0.2.2-5
- Remove NEWS from the doc
- Add dbus-python in Requires 

* Tue Jul  1 2008  <lokthare@gmail.com> - 0.2.2-4
- Add BR for GConf
- Fix schemas file

* Sun Jun  8 2008 Jean-François Martin <lokthare@gmail.com> 0.2.2-3
- Don't own /etc/gconf/schemas/
- Don't replace /etc/gconf/schemas/guake.schemas config file
- Remove globalhotkeys.la

* Fri Jun  6 2008 Jean-François Martin <lokthare@gmail.com> 0.2.2-2
- Fix gconf schema install
- Disable static library

* Wed Jun  4 2008 Jean-François Martin <lokthare@gmail.com> 0.2.2-1
- Initial release
